Summary: Pluggable Authentication Modules: modular, incremental authentication
Name: pam
Version: 0.66
Release: 1C3
Copyright: GPL or BSD
Group: Base
Source: http://www.us.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-0.66.tar.gz
Source1: other.pamd
Source2: Linux-PAM-doc.tar.gz
Source3: pam_smbpass-0.5.tgz
Patch1: Linux-PAM-0.56-dirs.patch
Patch2: Linux-PAM-0.56-prompt.patch
#Patch3: Linux-PAM-0.56-nopasswd+.patch
Patch4: Linux-PAM-0.64-bothconfs.patch
Patch5: Linux-PAM-0.56-nopedantic.patch
Patch6: Linux-PAM-0.57-rhlock.patch
Patch7: Linux-PAM-0.59-strerror.patch
Patch8: Linux-PAM-0.64-pwdb.patch
Patch9: Linux-PAM-0.64-glibc.patch
Patch10: Linux-PAM-0.64-alpha.patch
Patch11: Linux-PAM-0.64-shlib.patch
Patch12: Linux-PAM-0.66-sgml.patch
Patch13: Linux-PAM-0.66-helper.patch
Patch14: Linux-PAM-0.66-cobalt.patch
Buildroot: /var/tmp/pam-root
Requires: cracklib, cracklib-dicts, pwdb >= 0.54-2
Url: http://parc.power.net/morgan/Linux-PAM/index.html
Summary(de): Einsteckbare Authentifizierungsmodule: modulare, inkrementre Authentifizierung
Summary(fr): PAM : Pluggable Authentication Modules: modular, incremental authentication
Summary(tr): Modler, artmsal dorulama birimleri

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.

%description -l de
PAM (Pluggable Authentication Modules) ist ein leistungsfhiges, flexibles
und erweiterbares Authentifizierungssystem, mit dem der Systemverwalter
Authentifizierungs-Dienste individuell fr jede pam-kompatible
Anwendung konfigurieren kann, ohne diese neu kompilieren zu mssen.

%description -l fr
PAM (Pluggable Authentication Modules) est un systme d'authentification
puissant, souple et extensible permettant  l'administrateur systme de
configurer les individuellement les services d'authentification pour
chaque application conforme  PAM, sans recompiler aucune application.

%description -l tr
PAM (Pluggable Authentication Modules) sistem yneticilerinin uygulamalardan
herhangi birini yeniden derlemeksizin btn PAM uyumlu uygulamalar iin
dorulama hizmetlerini ayarlamalarna yardmc olan, gcl, esnek ve kapsaml
bir dorulama sistemidir.

%changelog
* Thu Feb 25 1999 Sridhar Gopal <gsri@cobaltnet.com>
- fixed off by one error in pwdb_chkpwd.c and text

* Wed Feb 24 1999 Sridhar Gopal <gsri@cobaltnet.com>
- removed the wheel patch, use group argument instead; added doc
- modify pwdb_chkpwd/pam_pwdb.c so they verify name/passwd (helper.patch)
- chmod pwdb_chkpwd to 04550
- add pam_smbpass

* Wed Feb 17 1999 Sridhar Gopal <gsri@cobaltnet.com>
- updated to pam-0.66 from the new source url
- removed old nopasswd+ patch and updated sgml patch

* Fri Feb 5 1999 Sridhar Gopal <gsri@cobaltnet.com>
- pam_wheel.so looks up the gid for wheel instead of assuming 0

* Mon Jan 4 1999 Sridhar Gopal <gsri@cobaltnet.com>
- removed pamconfig from the Requires line in the spec file

* Wed Dec 30 1998 Sridhar Gopal <gsri@cobaltnet.com>
- turn off postscript doc generation until latex is available

* Sat May 23 1998 Jeff Johnson <jbj@redhat.com>
- Partial fix for new sgml syntax.
- Hack to get around failiing sgml2latex.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.64 for security reasons.
- handle correctly the buildroot

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- updated alpha patch

* Fri Oct 04 1997 Cristian Gafton <gafton@redhat.com>
- moved to 0.59preC, spec file cleaned up a little.

* Fri Oct 03 1997 Cristian Gafton <gafton@redhat.com>
- moved to 0.59preB, some attempts to stabilize this thing...
- and finally found THE BUG !

* Wed Oct 01 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from .57 to .59, with slightly changed interfaces.
- Use a buildroot to avoid trashing build systems.

* Wed Oct 01 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed .rhosts security hole with multi-IP hosts.

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- Require a high enough version of pwdb

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from .56 to .57

* Thu Feb 27 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from .54 to .56, and from pam.conf to pam.d

%prep
rm -rf $RPM_BUILD_DIR/Linux-PAM
%setup -T -D -a 2 -c -n Linux-PAM/doc
%setup -T -D -a 3 -c -n Linux-PAM/modules
mv pam_smbpass-0.5 pam_smbpass
%setup -T -D -b 0 -n Linux-PAM
%patch1 -p1 -b .dirs
%patch2 -p1 -b .prompt
%patch4 -p1 -b .bothconfs
%patch5 -p1 -b .nopedantic
%patch6 -p1 -b .rhlock
%patch7 -p1 -b .strerror
%patch8 -p1 -b .pwdb
%patch9 -p1 -b .glibc
%ifarch alpha
%patch10 -p1 -b .alpha
%endif
%patch11 -p1 -b .shlib
%patch12 -p1 -b .sgml
%patch13 -p1 -b .helper
%patch14 -p1 -b .cobalt

rm -f default.defs
ln -s defs/redhat.defs default.defs

%build
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

# FIXME: sgml2latex --output=ps fails!
%ifarch i386 alpha sparc
(cd doc ; make)
%else
(cd doc ; make )
#(cd doc ; gzip -9 ps/*.ps)
#[ -f doc/ps/pam.ps.gz ] || {
#  echo "This system probably doesn't have linuxdoc-sgml or sgml-tools installed"
#  echo "Please install them and try again."
#  exit 1
#}
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/lib/security
make install FAKEROOT=$RPM_BUILD_ROOT
install -d -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/other.pamd $RPM_BUILD_ROOT/etc/pam.d/other
chgrp httpd $RPM_BUILD_ROOT/sbin/pwdb_chkpwd
chmod 04550 $RPM_BUILD_ROOT/sbin/pwdb_chkpwd
# make sure the modules built...
[ -f $RPM_BUILD_ROOT/lib/security/pam_deny.so ] || {
  echo "You have LITTLE or NOTHING in your /lib/security directory:"
  echo $RPM_BUILD_ROOT/lib/security/*
  echo ""
  echo "Fix it before you install this package, while you still can!"
  exit 1
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%files
%dir /etc/pam.d
%config /etc/pam.d/other
%doc Copyright
%doc doc/html doc/ps doc/txts
%doc doc/specs/rfc86.0.txt
/lib/libpam.so.0.*
/lib/libpam.so
/lib/libpam_misc.so.0.*
/lib/libpam_misc.so
/lib/libpam_misc.a
/usr/include/security/*.h
/sbin/*
/lib/security
%config /etc/security/access.conf
%config /etc/security/time.conf
%config /etc/security/group.conf
%config /etc/security/limits.conf
%config /etc/security/pam_env.conf
